%global momorel 5

%global gid 334
%global groupname jackuser
%global pagroup pulse-rt
%global srcname %{name}-audio-connection-kit

Summary: The Jack Audio Connection Kit
Name: jack
Version: 0.118.0
Release: %{momorel}m%{?dist}
License: GPLv2 and LGPL
URL: http://jackaudio.org/
Group: System Environment/Daemons
Source0: http://jackaudio.org/downloads/%{srcname}-%{version}.tar.gz
NoSource: 0
Source1: %{srcname}-script.pa
Patch0: %{srcname}-0.109.2-bz451531.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: pam
Requires(pre): shadow-utils
Requires(post): coreutils
Requires(post): grep
BuildRequires: alsa-lib-devel >= 1.0.13-2m
BuildRequires: coreutils
BuildRequires: doxygen
BuildRequires: findutils
BuildRequires: fltk-devel
BuildRequires: glib2-devel
BuildRequires: libcap-devel
BuildRequires: libsndfile-devel >= 1.0.15-2m
BuildRequires: ncurses-devel
BuildRequires: readline-devel >= 5.0
Provides: %{srcname} = %{version}-%{release}

%description
JACK is a low-latency audio server, written primarily for the Linux
operating system. It can connect a number of different applications to
an audio device, as well as allowing them to share audio between
themselves. Its clients can run in their own processes (ie. as a
normal application), or can they can run within a JACK server (ie. a
"plugin").

%package devel
Summary: Development package for jack
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Provides: %{srcname}-devel = %{version}-%{release}

%description devel
This package contains the files needed to compile programs that
communicates jack clients/servers.

%prep
%setup -q -n %{srcname}-%{version}

%ifarch ppc64
%patch0 -p0 -b .bz451531
%endif

%build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--enable-stripped-jackd \
	--disable-portaudio \
%ifarch %{ix86} ppc
	--enable-optimize \
%else
	--disable-optimize \
%endif
	--with-html-dir=%{_docdir}/%{name}

make %{?_smp_mflags} || make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install pulseaudio script for jack (as config-sample)
mkdir -p %{buildroot}%{_datadir}/config-sample/%{name}
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/config-sample/%{name}/

# remove html files
rm -rf %{buildroot}%{_docdir}/%{name}

find %{buildroot} -name "*.la" -delete

# Fix timestamps to avoid multiarch conflicts
find doc/reference -type f | xargs touch -r doc/reference.doxygen.in

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%pre
%{_sbindir}/groupadd -g %{gid} -r %{groupname} &>/dev/null || :

%post
/sbin/ldconfig

# Add default limits for jackuser group
grep -q %{groupname} /etc/security/limits.conf > /dev/null 2>&1 || cat >> /etc/security/limits.conf << EOF

## Automatically appended by jack
@%{groupname} - rtprio 20
@%{groupname} - memlock 4194304
EOF

# Add default limits for pulse-rt group
grep -q %{pagroup} /etc/security/limits.conf > /dev/null 2>&1 || cat >> /etc/security/limits.conf << EOF

## Automatically appended by jack
@%{pagroup} - rtprio 20
@%{pagroup} - nice -20
EOF

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* README TODO doc/reference/html
%{_bindir}/alsa_*
%{_bindir}/jack*
%{_libdir}/jack
%{_libdir}/*.so.*
%{_datadir}/config-sample/jack
%{_mandir}/man1/jackd.1*
%{_mandir}/man1/jackstart.1*

%files devel
%defattr(-,root,root)
%{_includedir}/jack
%{_libdir}/pkgconfig/jack.pc
%{_libdir}/*.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.118.0-5m)
- full rebuild for mo7 release

* Sun Jul 18 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.118.0-4m)
- Provides: jack-audio-connection-kit and jack-audio-connection-kit-devel

* Tue May 04 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.118.0-3m)
- rebuild against readline6

* Sun Apr 25 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.118.0-2m)
- use Requires

* Tue Nov 24 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.118.0-1m)
- version 0.118.0

* Sun Nov 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.116.2-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Feb  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.116.2-1m)
- version 0.116.2

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.116.1-2m)
- rebuild against rpm-4.6

* Sun Dec  7 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.116.1-1m)
- version 0.116.1

* Sat Nov 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.115.6-1m)
- version 0.115.6

* Sun Aug 31 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.109.2-4m)
- disable portaudio explicitly, portaudio-19 is supporting jack now
- import bz451531.patch from Fedora
 +* Sun Jul 20 2008 Andy Shevchenko <andy@smile.org.ua> 0.109.2-2
 +- apply patch to be work on ppc64 (#451531)
- import jack-audio-connection-kit.pa from Fedora and modify %%post
 +* Mon Jul 28 2008 Andy Shevchenko <andy@smile.org.ua> 0.109.2-3
 +- provide a pulseaudio start script from README.Fedora
 +- append values for pulse-rt group to the limits.conf
- clean up %%files

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.109.2-3m)
- rebuild against gcc43

* Wed Mar 12 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.109.2-2m)
- remove BPR libtermcap-devel

* Sun Feb  3 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.109.2-1m)
- version 0.109.2

* Mon Jan 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.109.0-1m)
- version 0.109.0
- License: GPLv2 and LGPL

* Sun Jun 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.103.0-2m)
- groupadd jackuser

* Tue Mar 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.103.0-1m)
- version 0.103.0

* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.102.20-2m)
- delete libtool library

* Fri Oct  6 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.102.20-1m)
- version 0.102.20

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.101.1-2m)
- rebuild against readline-5.0

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.101.1-1m)
- version 0.101.1

* Sun Jan  1 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.100.7-1m)
- version 0.100.7

* Thu Aug 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.100.0-1m)
- version 0.100.0
- BuildRequires: fltk-devel, glib-devel, ncurses-devel

* Tue Apr 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.99.0-3m)
- modify %%files section

* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (0.99.0-2m)
- rebuild against libtermcap-2.0.8-38m.

* Mon Feb 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.99.0-1m)
- initial package
